List competitors
List the competitors tracked on one domain.
GET https://cotlet.dev/api/v1/accuranker/domains/{domain_id}/competitors
read
Returns the rows of the Competitors tab: competitor domain and its Google Business name when one is set.
Parameters
| Name | Type | Description |
|---|---|---|
| domain_id string required | string | Domain ID from list_domains. |
Request
curl https://cotlet.dev/api/v1/accuranker/domains/domain_8c41d2/competitors \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("accuranker", "list_competitors", {"domain_id":"domain_8c41d2"}) const result = await cotlet.call('accuranker', 'list_competitors', {"domain_id":"domain_8c41d2"}); cotlet call accuranker list_competitors --data '{"domain_id":"domain_8c41d2"}' Example response
{
"competitors": [
{
"competitor_id": "c_2201",
"domain": "rei.com",
"google_business_name": null
},
{
"competitor_id": "c_2202",
"domain": "backcountry.com",
"google_business_name": null
}
]
}